> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/saml.md).

# SAML

## Changes the certificate to be used with SAML

> Replaces the currently used certificate with the one uploaded in PEM format. The PEM file must be unencrypted (no password) and contain both the certificate and the private key.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/security/saml/certificate/{type}":{"post":{"tags":["SAML"],"summary":"Changes the certificate to be used with SAML","description":"Replaces the currently used certificate with the one uploaded in PEM format. The PEM file must be unencrypted (no password) and contain both the certificate and the private key.","operationId":"changeCertificate","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string","enum":["SIGNING","ENCRYPTION"]}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"object"}}}}}},"responses":{"200":{"description":"Certificate successfully changed"}}}}}}
```

## Delete the specified SAML certificate from the SAML keystore.

> Delete the certificate from the SAML keystore and replace it with a generated certificate as done by default.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/security/saml/certificate/{type}":{"delete":{"tags":["SAML"],"summary":"Delete the specified SAML certificate from the SAML keystore.","description":"Delete the certificate from the SAML keystore and replace it with a generated certificate as done by default.","operationId":"deleteCustomizations","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string","enum":["SIGNING","ENCRYPTION"]}}],"responses":{"200":{"description":"The certificate was successfully deleted."}}}}}}
```

## Returns the SAML Service Provider metadata for this instance.

> Returns the SAML Service Provider metadata for this instance.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/security/saml":{"get":{"tags":["SAML"],"summary":"Returns the SAML Service Provider metadata for this instance.","description":"Returns the SAML Service Provider metadata for this instance.","operationId":"getSPMetadataAsString","parameters":[{"name":"complete","in":"query","description":"Whether or not the meta data generated should include the non-required attributes (completeMetadata = true means all the non-essential attributes too).","schema":{"type":"boolean"}}],"responses":{"200":{"description":"metadata successfully found.","content":{"application/xml":{}}}}}}}}
```
